Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Wed 15 Aug 2018, 15:17
All times are UTC - 4
 Forum index » Advanced Topics » Puppy Projects
tahrpup 6.0.5 CE
Moderators: Flash, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 118 of 119 [1772 Posts]   Goto page: Previous 1, 2, 3, ..., 116, 117, 118, 119 Next
Author Message
bigpup


Joined: 11 Oct 2009
Posts: 10856
Location: Charleston S.C. USA

PostPosted: Fri 05 Jan 2018, 17:40    Post subject:  

You would do best to just use Xenialpup on that new a computer.
A lot of stuff is more up to date than what is in Tahrpup.

But if you must.

You can try this:
stop screen tearing using old Intel graphics hardware.

http://www.murga-linux.com/puppy/viewtopic.php?p=977286#977286

666philb wrote:
hi DustyPixel,

create a blank file /etc/X11/xorg.conf.d/20-intel.conf

the mouse way is to navigate to /etc//X11/xorg.conf.d right click and choose 'new' then 'blank file' and call it '20-intel.conf'
then open the file (left click or right click & open as text ) and paste the code in and save.

Code:
echo 'Section "Device"
  Identifier  "Card0"
  Driver      "intel"
  VendorName  "INTEL Corporation"
  Option "DRI" "3"
  Option "TripleBuffer" "true"
  Option "TearFree" "true"
EndSection' > /etc/X11/xorg.conf.d/20-intel.conf


the above worked for me on an intel graphics based PC

and the combi way ... high-lite the code above and use middle click (or both mouse buttons at once) to paste into a terminal .

write down on a some paper the path to the file ....
/etc/X11/xorg.conf.d/20-intel.conf
so you can delete it from the terminal if X doesn't start
rm /etc/X11/xorg.conf.d/20-intel.conf

_________________
I have found, in trying to help people, that the things they do not tell you, are usually the clue to solving the problem.
When I was a kid I wanted to be older.... This is not what I expected Shocked
Back to top
View user's profile Send private message 
foxpup


Joined: 29 Jul 2016
Posts: 536
Location: europa near northsea

PostPosted: Fri 05 Jan 2018, 17:46    Post subject:  

RetroTechGuy wrote:
If you just want to tinker with the machine, without permanent mods, install to a flash drive or USB HDD. Change to BIOS to look at CD and USB first.
good advice!
@weffy
You should try first to boot from usb stick before installing tahr6.0.6 on your HDD, to see if it can boot on your system.

Do I understand correctly tahr6.0 does already boot from your HDD? Are you sure there is no mess up between the 2?
By the way, do you remember how you got grub? And the choice between windows and puppy in the windows bootloader? Did you make an entry for tahr6.0.6 in grub (grub.cfg)?

I have often put Puppy next to windows in the same nfts partition - I still keep 1 Puppy there, as a 'security measure' - and it always worked, no problems. But I do prefer to shrink the windows partition, as much as I can, and to make a linux partition (I mostly choose ext3) on the free space. Shrinking the windows partition is not so difficult, just be careful and read up on it before you do it.
Back to top
View user's profile Send private message 
foxpup


Joined: 29 Jul 2016
Posts: 536
Location: europa near northsea

PostPosted: Fri 05 Jan 2018, 17:59    Post subject: screen tearing (sort of)  

@bigpup
I will try the fix from Phil and report. Thank you.

I do have xenialpup on this machine, next to slacko6.9.9.9, LxPupSc, Pyro0.6.4, fatdog720, dpupstretch (radky and OscarTalks), artfulpup and some others Smile
I am just trying Tahr for old times' sake. Although Tahr is not that old. (I may even try wary5.5 with a new kernel. Wink
Back to top
View user's profile Send private message 
weffy

Joined: 30 Mar 2006
Posts: 42

PostPosted: Sat 06 Jan 2018, 10:36    Post subject:  

foxpup This was originally a Lucid 528 install somebody made to go with Windows from several years ago. I installed the Tahr 6.0CE and never had a boot problem. I will probably uninstall this 606 and do the defrag and re-install. I am now getting some file errors and file fixes now when booting.
Back to top
View user's profile Send private message 
foxpup


Joined: 29 Jul 2016
Posts: 536
Location: europa near northsea

PostPosted: Sat 06 Jan 2018, 16:01    Post subject:  

@weffy
Good luck with the defrag. I never liked to do that. Let us know if it solves your problem.

What do you do to install a Puppy, the Tahr 6.0 for example? Do you add the install to the grub.cfg?

Last edited by foxpup on Mon 08 Jan 2018, 05:32; edited 1 time in total
Back to top
View user's profile Send private message 
foxpup


Joined: 29 Jul 2016
Posts: 536
Location: europa near northsea

PostPosted: Sat 06 Jan 2018, 16:10    Post subject: Re: screen tearing (sort of)  

foxpup wrote:
@bigpup
I will try the fix from Phil and report. Thank you.
And here I am with the report. I tried Phil's fix, but it did not work. Maybe it made the flickering of the tray applet icons go away, but not sure about that.
But I did find a fix from gyro for something similar in the Xenialpup CE 7.5 thread:
http://www.murga-linux.com/puppy/viewtopic.php?t=106479&start=186
Adding
Code:
 Option      "AccelMethod"  "uxa"
in the Device section in xorg.conf solved it.

Tahr runs really well now on the xenialpup64 kernel on my new laptop.
Back to top
View user's profile Send private message 
weffy

Joined: 30 Mar 2006
Posts: 42

PostPosted: Sat 13 Jan 2018, 18:13    Post subject:  

foxpup I did the defrag as you suggested and then a chkdsk as bigpup suggested , re-installed Tahr 606, but the problem persists. I do a typical frugal install and edit the menu.lst. I am not familiar with using grub.cfg.

Anyway, I installed the latest Xenialpup instead and it loads fine.
Back to top
View user's profile Send private message 
foxpup


Joined: 29 Jul 2016
Posts: 536
Location: europa near northsea

PostPosted: Sat 13 Jan 2018, 19:06    Post subject:  

weffy wrote:
I do a typical frugal install and edit the menu.lst. I am not familiar with using grub.cfg.

Anyway, I installed the latest Xenialpup instead and it loads fine.
I am confused here. It looks as if you have grub4dos next to the windows bootloader. I would expect grub2 and not grub4dos, but I suppose it is possible.
And why did tahrpup6.0.6 not work, but 6.0 does? I'm puzzled.
Anyway, glad you have xenialpup working, that's the logical successor to tahrpup.
Back to top
View user's profile Send private message 
edmont

Joined: 19 Nov 2012
Posts: 47

PostPosted: Tue 23 Jan 2018, 00:03    Post subject: maxima 64 bit
Subject description: tahrpup 6.0.6 64 bit
 

Maxima and hence xmaxima wont install to this OS , nor does clisp .

Is there a sfs file that provides all the dependencies for the 64 bit version of
maxima and wxmaxima ; including tcl and vtk .

I've tried numerous sources for 64 bit maxima , wxmaxima ; to no avail .
Back to top
View user's profile Send private message 
foxpup


Joined: 29 Jul 2016
Posts: 536
Location: europa near northsea

PostPosted: Tue 23 Jan 2018, 04:07    Post subject:  

Can you not install it with the PPM? These packages are in the Ubuntu Trusty repo.
Back to top
View user's profile Send private message 
mikeslr


Joined: 16 Jun 2008
Posts: 2519
Location: 500 seconds from Sol

PostPosted: Tue 23 Jan 2018, 12:49    Post subject: xmaxima : not at this time  

Hi edmont, foxpup

Curious as to what edmont's difficulty was I tried to build maxima using PPM under Tahrpup64. If I recall correctly –several hours have gone by-- PPM found the main packages, but not about 20 dependencies. I suspect a similar result would happen under Tahrpup (32-bit). I guess when Ubuntu says End of Life, it makes certain by pulling the plug on what's in repositories.

So booted into Xenialpup64 and tried again, figuring maybe all a maxima application built under Xenialpup would need was a few symbolic links. PPM was more successful, finding all dependencies except maxima-doc_5.37.2-8 and tex-common_6.04. A search of Ubuntu Repos revealed only packages for those in Artful Aardvark, bearing the names maxima-doc_5.40.0-1 and tex-common_6.09. Again, I hoped a symlink would suffice.

Working under Xenialpup64, many libs were unpacked to /usr/lib/x86_64-linux-gnu. In order for Xenialpup64 or Tahrpup64 to find them, they have to be moved to just /usr/lib. This is not necessary if a similar package is built under a 32-bit 'Ubuntu' . After that modification, I was able to start xmaxima under Tahrpup64, but it crashed immediately being unable to find the docs. A symlink overcame that. But running ldd revealed that “libstdc++.so.6 (GLIBCXX_3.4.21) => not found”. There being three versions of libstdc++.so on the system already, including one specifically named libstdc++.so.6, I take that to mean that Tahrpup does not have the right glibc version.

That's not an easily solved problem.

At the current time, I think that the easiest way to obtain a functional xmaxima application running under any recent 'Ubuntu” version of Puppy might be under ArtfulPup. Ubuntu's Artful Aarvark, however, will experience End of Life in a couple of months (April?). So, unless it is urgent, I'd suggest waiting until Ubuntu's Bionic Beaver reaches sufficient maturity and interest among Puppy's Devs for a BionicPuppy to be published. Ubuntu designated Bionic Beaver as a Long Term Support version.

Alternatively, I might suggest trying to obtain or build an application under Slacko. Slackware is much less inclined than Ubuntu to kill off its off-springs. I note the the following to be available: https://slackware.pkgs.org/14.2/slackonly-x86_64/wxMaxima-16.04.2-x86_64-6_slonly.txz.html. No 32-bit version immediately jumped out saying “here I am”.

mikesLr

Edit: It just occurred to me to see if the package built under Xenialpup64 ran under Xenialpup64. Embarassed While there were no glibc errors, and a symlink named "doc" is necessary in /usr/share/maxima/5.37.2 to /usr/share/doc/maxima-doc, and wxmaxima runs via terminal without generating an error, starting xmaxima reports "Maxima executable not found...Try setting the environmental variable XMAXIMA_MAXIMA". Both the maxima binary and the xmaxima scripts are at /usr/bin. Both the error and the suggested remedy are "above my paygrade".

Incidently, no menu entries are created as Puppies don't recognize the categories in /usr/share/applications/***.desktop. But, that's a simple edit.
Back to top
View user's profile Send private message 
ally


Joined: 19 May 2012
Posts: 1831
Location: lincoln, uk

PostPosted: Tue 23 Jan 2018, 14:09    Post subject:  

I've used wiak's puppy-get with much success and may be worth a look, the initial dbase download takes a while but it functions superbly

http://murga-linux.com/puppy/viewtopic.php?t=111803&sid=29dfc5c5b1688d0dde0ccf399db6e503

Smile
Back to top
View user's profile Send private message Visit poster's website 
foxpup


Joined: 29 Jul 2016
Posts: 536
Location: europa near northsea

PostPosted: Tue 23 Jan 2018, 16:42    Post subject: Re: xmaxima : not at this time  

mikeslr wrote:
I guess when Ubuntu says End of Life, it makes certain by pulling the plug on what's in repositories.
Really? Already? Isn't ubuntu Tahr EOL april 2019?
ally wrote:
I've used wiak's puppy-get with much success and may be worth a look, the initial dbase download takes a while but it functions superbly
Are you suggesting here that PPM not properly working may be the trouble for edmont?
Puppy-get is just a better working replacement for PPM? Do I understand it correctly? Or is it more?
Back to top
View user's profile Send private message 
ally


Joined: 19 May 2012
Posts: 1831
Location: lincoln, uk

PostPosted: Tue 23 Jan 2018, 17:32    Post subject:  

just information about an alternative, if ppm is not pulling dependencies then give puppy-get a go

it has worked well for me

Smile
Back to top
View user's profile Send private message Visit poster's website 
edmont

Joined: 19 Nov 2012
Posts: 47

PostPosted: Fri 26 Jan 2018, 03:41    Post subject: xmaxima
Subject description: tahr 6.0.6 64 bit
 

Thank you foxpup and others .

Of course I tried different rpm's deb's and versions of xmaxima , no go .

I think that I tried Xenial 64 and tahr 64 puppies because I wanted to be
able to watch netflix and other movies without my computer using too
much power .

On xenial pup 64 there are problems with maxima and gnuplot .

Movies for inspiration , wxmaxima and python for creative outlet .
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 118 of 119 [1772 Posts]   Goto page: Previous 1, 2, 3, ..., 116, 117, 118, 119 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Puppy Projects
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0858s ][ Queries: 12 (0.0312s) ][ GZIP on ]